<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>
<style type="text/css">
div#popup {
	width: 500px;
	height: 500px;
	position: absolute;
	left: 300px;
	top: 100px;
	z-index: 9999;
}

.popclose {
	width: 0px;
	height: 0px;
	visibility: hidden;
	display: none;
}
</style>
<script type="text/javascript">
window.onload = () => {
	/* window.open(url 경로, 창이름, 옵션); */
	/* popup 허용이 필요함 */
	/* window.open('script_030_event_click.html', '', 'width=500,height=500,scrollbars=no,toolbasrs=no,location=no'); */
	
	document.getElementsByTagName("area")[0].onclick = () => {
		var popupDiv = document.getElementById("popup");
		popupDiv.className = 'popclose';
		return false;
	}
}
</script>
</head>
<body>
<div>
Syntax
element.classList
Properties
Property	Description
length	Returns the number of classes in the list.

This property is read-only
Methods
Method	Description
add(class1, class2, ...)	Adds one or more class names to an element.

If the specified class already exist, the class will not be added
contains(class)	Returns a Boolean value, indicating whether an element has the specified class name.
Possible values:

true - the element contains the specified class name
false - the element does not contain the specified class name
item(index)	Returns the class name with a specified index number from an element. Index starts at 0.

Returns null if the index is out of range
remove(class1, class2, ...)	Removes one or more class names from an element.

Note: Removing a class that does not exist, does NOT throw an error
toggle(class, true|false)	Toggles between a class name for an element.

The first parameter removes the specified class from an element, and returns false.
If the class does not exist, it is added to the element, and the return value is true.

The optional second parameter is a Boolean value that forces the class to be added or removed, regardless of whether or not it already existed. For example:

Remove a class: element.classList.toggle("classToRemove", false);
Add a class: element.classList.toggle("classToAdd", true);

Note: The second parameter is not supported in Internet Explorer or Opera 12 and earlier.
Technical Details
Return Value:	A DOMTokenList, containing a list of the class name(s) of an element
More Examples
Example
Add multiple classes to a <div> element:

document.getElementById("myDIV").classList.add("mystyle", "anotherClass", "thirdClass");
Example
Remove a class from a <div> element:

document.getElementById("myDIV").classList.remove("mystyle");
Example
Remove multiple classes from a <div> element:

document.getElementById("myDIV").classList.remove("mystyle", "anotherClass", "thirdClass");
Example
Toggle between two classes for a <div> element:

document.getElementById("myDIV").classList.toggle("newClassName");
Example
Get the class name(s) of a <div> element:

<div id="myDIV" class="mystyle anotherClass thirdClass">I am a DIV element</div>

var x = document.getElementById("myDIV").classList;
Example
Find out how many class names a <div> element has:

var x = document.getElementById("myDIV").classList.length;
Example
Get the first class name (index 0) of a <div> element:

var x = document.getElementById("myDIV").classList.item(0);
Example
Find out if an element has a "mystyle" class:

var x = document.getElementById("myDIV").classList.contains("mystyle");
Example
Find out if an element has a "mystyle" class. If so, remove another class name:

var x = document.getElementById("myDIV");

if (x.classList.contains("mystyle")) {
  x.classList.remove("anotherClass");
} else {
  alert("Could not find it.");
}
Example
Toggle between classes to create a dropdown button:

// Get the button, and when the user clicks on it, execute myFunction
document.getElementById("myBtn").onclick = function() {myFunction()};

/* myFunction toggles between adding and removing the show class, which is used to hide and show the dropdown content */
function myFunction() {
  document.getElementById("myDropdown").classList.toggle("show");
}
Fallback Example: add
A cross-browser solution when using the classList.add() method, for IE9 and earlier:

var x, name, arr;
x = document.getElementById("myDIV");
if (x.classList) {
  x.classList.add("mystyle");
} else {
  name = "mystyle";
  arr = x.className.split(" ");
  if (arr.indexOf(name) == -1) {
    x.className += " " + name;
  }
}
Fallback Example: remove
A cross-browser solution when using the classList.remove() method, for IE9 and earlier:

var x = document.getElementById("myDIV");

if (x.classList) {
  x.classList.remove("mystyle");
} else {
  x.className = x.className.replace(/\bmystyle\b/g, ""); // For IE9 and earlier
}
Fallback Example: contains
A cross-browser solution when using the classList.contains() method, for IE9 and earlier:

var x = document.getElementById("myDIV");

if (x.classList) {
  alert(x.classList.contains("mystyle"));
} else {
  alert(/\bmystyle\b/g.test(x.className)); // For IE9 and earlier
}
</div>
<div id="popup">
	<img src="images/popup.jpg" usemap="#pop"/>
	<map name="pop" id="pop">
		<!-- 이미지에서 '창닫기' 버튼 영역 (255,332)에서 (290,345)까지 -->
		<area shape="rect" coords="255,332,290,345" href="" alt="창닫기" title="창닫기"/>
	</map>
</div>
</body>
</html>